Bug 113071 - [PATCH] RHEL3 ia64: 32 bit applications don't dump core properly
[PATCH] RHEL3 ia64: 32 bit applications don't dump core properly
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
ia32el fujitsu
:
Depends On:
Blocks: 113539
  Show dependency treegraph
 
Reported: 2004-01-07 18:51 EST by Arun Sharma
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-11 21:08:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
el3-ia32core.patch (6.27 KB, patch)
2004-01-07 18:53 EST, Arun Sharma
no flags Details | Diff

  None (edit)
Description Arun Sharma 2004-01-07 18:51:27 EST
Description of problem:

32 bit applications produce a core file of size zero.

Version-Release number of selected component (if applicable):

2.4.21-4.EL

How reproducible:

Make a 32 bit application dump core and try loading it in gdb.
Comment 1 Arun Sharma 2004-01-07 18:53:03 EST
Created attachment 96821 [details]
el3-ia32core.patch


The attached patch enables ia32 core dumps. It has been accepted in linux-2.6
with  minimal (2.6 specific) changes.
Comment 2 Keve Gabbert 2004-01-08 17:55:24 EST
the corresponding issue tracker is 29135 and is on the MUSTFIX list 
for RHEL 3 Update 2 from Intel.
Comment 3 Tim Burke 2004-02-03 18:48:59 EST

*** This bug has been marked as a duplicate of 112103 ***
Comment 4 John Flanagan 2004-05-11 21:08:13 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-188.html

Note You need to log in before you can comment on or make changes to this bug.